#ifndef YERBACON_MISC_HPP
#define YERBACON_MISC_HPP

#ifndef YBCON_VERSION
#define YBCON_VERSION "UNKNOWN"
#endif

consteval const char* getVersion() noexcept { return YBCON_VERSION; }

string getFileContent(const string& file);
void outputFileContent(const string& file, string_view content);

#include "src/headers/parsing/ParseComponents.hpp"
ParseTree parseString(const string& toParse);
string transpile(ParseTree toTranspile, string language);

#endif //YERBACON_MISC_HPP
