#include <iostream>

using namespace std;

enum LANGUAGE: unsigned short { NONE, LUA, JS, PY };
const string_view languages[3] = { ".lua", ".js", ".py"};

#include "../headers/transpiler/Target.hpp"

string transpile(const ParseTree tree, string language) {
    return Target::forName(language)->transpileWithTree(tree);
}